<?php
 
session_start();
include("DMMYSQLG.php");
include("DSA6000.php");
?>
<html>
<link rel="stylesheet" href="css/estilo1.css" type="text/css"/>
<script type="text/javascript" language="JavaScript1.2" src="DSSCRIPT.js"></script>
<body>
<?php
 
include('PV10000_CL.php');
	$varible_clase = new clase();
	$varible_clase->nparte1=strtoupper($_POST["tap1"]);
	$varible_clase->np_desc1=strtoupper($_POST["tap2"]);
	$varible_clase->ubicacion=strtoupper($_POST["tap3"]);
	$varible_clase->fic_tec=mysqli_real_escape_string($con,trim($_POST["fic_tec"]));
	$varible_clase->codigo=strtoupper($_POST["codigo"]);
	$varible_clase->descripcion=strtoupper($_POST["desc"]);
	
	//Revizar si ya existe el registro
	$res=$varible_clase->revisar();
	if($res == "ok"){
		echo '<h2>EL REGISTRO YA EXISTE</h2>';
		echo '<meta content="1; url=PV10000_PR.php" HTTP-EQUIV="REFRESH">';
		exit();
	}    	 
	//Ejecuta el codigo de agregar
	$res=$varible_clase->agregar();
	if($res == "ok"){
		$ultimo_id =$varible_clase->nparte1;
		if(is_uploaded_file($_FILES['fichero']['tmp_name'])){
        	if(move_uploaded_file($_FILES['fichero']['tmp_name'], 'foto/ptventa/NO_'.$ultimo_id . '.JPG')){
        	}
    	} 	 
		echo '<h2>NUEVO PRODUCTO AGREGADO:'.$_POST['tap2'].'</h2>';
		echo '<meta content="1; url=PV10000_PR.php"  HTTP-EQUIV="REFRESH">';
	}else{
		echo '<h2>NO SE HA PODIDO AGREGAR EL CATALOGO DE TIPO DE CARGO</h2>';
		echo $res;
		echo '<meta content="10; url=PV10000_PR.php" HTTP-EQUIV="REFRESH">';
	}    
?>
</body>
</html>